package jp.agentec.abook.abv.bl.dto;

import java.util.Date;

public class ContentObjectLogDto extends AbstractDto {

	public int objectLogId;
	public int readingLogId;
	public Date actionDate;
	public Date resumeDate;
	public long contentId;
	public int pageNum;
	public long objectId;
	public long resourceId;
	public int mediaType;
	public Integer actionType;
	public String actionValue;
	public int actionTime;
	public double locationX;
	public double locationY;
	public int locationHeight;
	public int locationWidth;
	public String eventType;

	@Override
	public Object[] getInsertValues() {
		return new Object[]{objectLogId, readingLogId, actionDate, resumeDate, contentId, pageNum, objectId, resourceId, mediaType, actionType, actionValue, actionTime, locationX, locationY, locationHeight, locationWidth, eventType};
	}

	@Override
	public Object[] getUpdateValues() {
		return new Object[]{readingLogId, actionDate, resumeDate, contentId, pageNum, objectId, resourceId, mediaType, actionType, actionValue, actionTime, locationX, locationY, locationHeight, locationWidth, eventType, objectLogId};
	}

	@Override
	public String[] getKeyValues() {
		return new String[]{""+ objectLogId};
	}
}
